unit ENCConst;
interface
const
{Include Datai zur Verwendung des ENC28J60 NIC}

{Adressen der Register}
{Bank unabhngige Register}

 N_EIE    	=$001B;
 N_EIR    	=$001C;
 N_ESTAT	=$001D;
 N_ECON2	=$001E;
 N_ECON1	=$001F;

{Bank 0 $[Bank][Register]}

 N_ERDPTL	=$0000;	{Host Lesepointer <R/W>}
 N_ERDPTH	=$0001;
 N_EWRPTL	=$0002;	{Host Schreibpointer <R/W>}
 N_EWRPTH	=$0003;
 N_ETXSTL	=$0004;	{Startadresse des Empfangspuffers im 8kRAM <R/W>}
 N_ETXSTH	=$0005;
 N_ETXNDL	=$0006;	{Endadresse des Empfangspuffers im 8kRAM <R/W>}
 N_ETXNDH	=$0007;
 N_ERXSTL	=$0008;	{Startpointer auf das zu bertragende Datenpaket <R/W>}
 N_ERXSTH	=$0009;
 N_ERXNDL	=$000A;	{Endepointer auf das zu bertragende Datenpaket <R/W>}
 N_ERXNDH	=$000B;
 N_ERXRDPTL	=$000C;	{Pointer auf das vom Host noch nicht gelesene Empfangsdatum <R/W>}
 N_ERXRDPTH	=$000D;
 N_ERXWRPTL	=$000E;	{Empfangsdatenpointer <R>}
 N_ERXWRPTH	=$000F;
 N_EDMASTL	=$0010;	{Startpointer fr eine DMA-Operation <R/W>}
 N_EDMASTH	=$0011;

 N_EDMANDL	=$0012;	{Endpointer fr eine DMA-Operation <R/W>}
 N_EDMANDH	=$0013;
 N_EDMADSTL	=$0014; {Pointer auf die erste Zieladresse <R/W>}
 N_EDMADSTH	=$0015;
 N_EDMACSL	=$0016;	{Ergebnis einer DMA Checksummenberechnung <R/W>}
 N_EDMACSH	=$0017;

{Bank 1 $[Bank][Register]}

 N_EHT0   	=$0100;	{Hash Tabel zur CRC Berechnung zur Ziehl MAC-Adresse}
 N_EHT1   	=$0101;
 N_EHT2   	=$0102;
 N_EHT3   	=$0103;
 N_EHT4   	=$0104;
 N_EHT5   	=$0105;
 N_EHT6   	=$0106;
 N_EHT7   	=$0107;
 N_EPMM0	=$0108;	{Maskenbytes fr den Mustervergleich in einem}
 N_EPMM1	=$0109;	{empfangenen Daten Strom.}
 N_EPMM2	=$010A;	{Die mit 1 Maskierten Bytes weden zu Cheksummen-}
 N_EPMM3	=$010B;	{berechnung herran gezogen <R/W>}
 N_EPMM4	=$010C;
 N_EPMM5	=$010D;
 N_EPMM6	=$010E;
 N_EPMM7	=$010F;
 N_EPMCSL	=$0110;	{Erwartete Cheksumme aus einem Mustervergleich <R/W>}
 N_EPMCSH	=$0111;

 N_EPMOL	=$0114;	{Offsetpointer auf das erste zu auszuwertende Byte}
 N_EPMOH	=$0115;	{fr den Mustervergleich}
 N_EWOLIE	=$0116;
 N_EWOLIR	=$0117;
 N_ERXFCON	=$0118;
 N_EPKTCNT	=$0119;

{Bank 2 $[MAC/MII_Bank][Register]}

 N_MACON1	=$8200;
 N_MACON2	=$8201;
 N_MACON3	=$8202;
 N_MACON4	=$8203;
 N_MABBIPG	=$8204;

 N_MAIPGL	=$8206;
 N_MAIPGH	=$8207;
 N_MACLCON1	=$8208;
 N_MACLCON2	=$8209;
 N_MAMXFLL	=$820A;	{Maximale Bytelnge des Ethernetframes}
 N_MAMXFLH	=$820B;

 N_MAPHSUP	=$820D;

 N_MICON	=$8211;
 N_MICMD	=$8212;

 N_MIREGADR	=$8214;

 N_MIWRL	=$8216;	{Register fr die in die PHY-Register zu schreibenden}
 N_MIWRH	=$8217;	{Daten}
 N_MIRDL	=$8218;	{Register fr die aus den PHY-Register gelesenen}
 N_MIRDH	=$8219;	{Daten}

{Bank 3 $[Bank][Register]}

 N_MAADR1	=$8300;	{Register fr die MAC-Adresse}
 N_MAADR0	=$8301;
 N_MAADR3	=$8302;
 N_MAADR2	=$8303;
 N_MAADR5	=$8304;
 N_MAADR4	=$8305;
 N_EBSTSD	=$0306;
 N_EBSTCON	=$0307;
 N_EBSTCSL	=$0308;
 N_EBSTCSH	=$0309;
 N_MISTAT	=$830A;

 N_EREVID	=$0312;

 N_ECOCON	=$0315;

 N_EFLOCON	=$0317;
 N_EPAUSL	=$0318;	{Pausetimer fr den Eternet-Flow-Controll}
 N_EPAUSH	=$0319;

{16Bit PHY Registers}
{Zugriff ber MII-Register}

 N_PHCON1	=$00;
 N_PHSTAT1	=$01;
 N_PHID1	=$02;
 N_PHID2	=$03;

 N_PHCON2	=$10;
 N_PHSTAT2	=$11;
 N_PHIE   	=$12;
 N_PHIR   	=$13;
 N_PHLCON	=$14;

{Bittables}

{EIE}
 N_RXERIE	=1;
 N_TXERIE	=2;
 N_WOLIE	=4;
 N_TXIE   	=8;
 N_LINKIE	=16;
 N_DMAIE	=32;
 N_PKTIE	=64;
 N_INTIE	=128;

{EIR}
 N_RXERIF	=1;
 N_TXERIF	=2;
 N_WOLIF	=4;
 N_TXIF   	=8;
 N_LINKIF	=16;
 N_DMAIF	=32;
 N_PKTIF	=64;

{ESTAT}
 N_CLKRDY	=1;
 N_TXABRT	=2;
 N_RXBUSY	=4;
 N_LATECOL	=16;
 N_INT    	=128;

{ECON2}
 N_VRPS   	=8;
 N_PWRSV	=32;
 N_PKTDEC	=64;
 N_AUTOINC	=128;

{ECON1}
 N_BSEL0	=1;
 N_BSEL1	=2;
 N_RXEN   	=4;
 N_TXRTS	=8;
 N_CSUMEN	=16;
 N_DMAST	=32;
 N_RXRST	=64;
 N_TXRST	=128;

{EWOLIE}
 N_BCWOLIE	=1;
 N_MCWOLIE	=2;
 N_HTWOLIE	=4;
 N_MPWOLIE	=8;
 N_PMWOLIE	=16;
 N_AWOLIE	=64;
 N_UCWOLIE	=128;

{EWOLIR}
 N_BCWOLIF	=1;
 N_MCWOLIF	=2;
 N_HTWOLIF	=4;
 N_MPWOLIF	=8;
 N_PMWOLIF	=16;
 N_AWOLIF	=64;
 N_UCWOLIF	=128;

{ERXFCON}
 N_BCEN   	=1;
 N_MCEN   	=2;
 N_HTEN   	=4;
 N_MPEN   	=8;
 N_PMEN   	=16;
 N_CRCEN	=32;
 N_ANDOR	=64;
 N_UCEN   	=128;

{MACON1}
 N_MARXEN	=1;
 N_PASSALL	=2;
 N_RXPAUS	=4;
 N_TXPAUS	=8;
 N_LOOPBK	=16;

{MACON2}
 N_TFUNRST	=1;
 N_MATXRST	=2;
 N_RFUNRST	=4;
 N_MARXRST	=8;
 N_RNDRST	=64;
 N_MARST	=128;

{MACON3}
 N_FULDPX	=1;
 N_FRMLNEN	=2;
 N_HFRMEN	=4;
 N_PHDRLEN	=8;
 N_TXCRCEN	=16;
 N_PADCFG0	=32;
 N_PADCFG1	=64;
 N_PADCFG2	=128;

{MACON4}
 N_PUREPRE	=1;
 N_LONGPRE	=2;
 N_NOBKOFF	=16;
 N_BPEN   	=32;
 N_DEFER	=64;

{MAPHSUP}
 N_RSTRMII	=8;
 N_RSTINTFC	=128;

{MICON}
 N_RSTMII	=128;

{MICMD}
 N_MIIRD	=1;
 N_MIISCAN	=2;

{EBSTCON}
 N_BISTST	=1;
 N_TME	        =2;
 N_TMSEL0	=4;
 N_TMSEL1	=8;
 N_PSEL   	=16;
 N_PSV0   	=32;
 N_PSV1   	=64;
 N_PSV2   	=128;

{MISTAT}
 N_BUSY   	=1;
 N_SCAN   	=2;
 N_NVALID	=4;

{ECOCON}
 N_COCON0	=1;
 N_COCON1	=2;
 N_COCON2	=4;

{EFLOCON}
 N_FCEN0	=1;
 N_FCEN1	=2;
 N_FULDPXS	=4;

{PHY-PHCON1}
 N_PDPXMD	=256;
 N_PPWRSV	=2048;
 N_PLOOPBK	=16384;
 N_PRST   	=32768;

{PHY-PHSTAT1}
 N_JBSTAT	=2;
 N_LLSTAT	=4;
 N_PHDPX	=2048;
 N_PFDPX	=4096;

{PHY-PHCON2}
 N_HDLDIS	=256;
 N_JABBER	=1024;
 N_TXDIS	=8192;
 N_FRCLNK	=16384;

{PHY-PHSTAT2}
 N_PLRITY	=16;
 N_DPXSTAT	=512;
 N_LSTAT	=1024;
 N_COLSTAT	=2048;
 N_RXSTAT	=4096;
 N_TXSTAT	=8192;

{PHY-PHIE}
 N_PGEIE	=2;
 N_PLNKIE	=16;

{PHY-PHIR}
 N_PGIF   	=4;
 N_PLNKIF	=16;

{PHY-PHLCON}
 N_STRCH	=2;
 N_LFRQ0	=4;
 N_LFRQ1	=8;
 N_LBCFG0	=16;
 N_LBCFG1	=32;
 N_LBCFG2	=64;
 N_LBCFG3	=128;
 N_LACFG0	=256;
 N_LACFG1	=512;
 N_LACFG2	=1024;
 N_LACFG3	=2048;

implementation

end.
